GET
Summarize bounded transaction activity

Authorizations

Authorization
string
header
required

Account-bound token for the public API resource.

Scopes

account:read

Read account data.

Headers

Tuyo-API-Version
string
required

Required dated public API contract.

Allowed value: "2026-10-20"
Tuyo-Request-Reason
string

Optional, percent-encoded short explanation of why the request is made (e.g. the end-user goal relayed by an AI agent). Stored for audit; truncated to 2048 characters after decoding.

Query Parameters

query
string
Required string length: 1 - 200
from
required

ISO 8601 date-time with offset, or a calendar date (YYYY-MM-DD). A calendar date spans the whole day (UTC, or the summary timezone): as from it starts at 00:00 of that day, as to it ends at the end of that day (inclusive), whereas a date-time to is exclusive.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
to
required

ISO 8601 date-time with offset, or a calendar date (YYYY-MM-DD). A calendar date spans the whole day (UTC, or the summary timezone): as from it starts at 00:00 of that day, as to it ends at the end of that day (inclusive), whereas a date-time to is exclusive.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
kinds
enum<string>[]
Required array length: 1 - 11 elements
Available options:
transfer,
convert,
deposit,
bank_deposit,
bank_withdrawal,
vault_deposit,
vault_withdrawal,
card_transaction,
virtual_bank_account_deposit,
stripe_onramp,
crypto_deposit
statuses
enum<string>[]
Required array length: 1 - 5 elements
Available options:
success,
pending,
failed,
refunded,
reversed
tokenIds
string<uuid>[]
Required array length: 1 - 100 elements
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
tokenGroupIds
string<uuid>[]
Required array length: 1 - 100 elements
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
chainIds
integer[]
Required array length: 1 - 100 elements
Required range: x <= 2147483647
vaultIds
string<uuid>[]
Required array length: 1 - 100 elements
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
merchantIds
string<uuid>[]
Required array length: 1 - 100 elements
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
categoryCodes
string[]
Required array length: 1 - 100 elements
Minimum string length: 1
categoryGroupCodes
string[]
Required array length: 1 - 100 elements
Minimum string length: 1
mccs
string[]
Required array length: 1 - 100 elements
Pattern: ^[0-9]{4}$
cardIds
string<uuid>[]
Required array length: 1 - 100 elements
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
amountField
enum<string>
Available options:
cardTransaction.amount,
cardTransaction.coverage.customerShare,
action.amount,
action.amountOut,
action.fiatCurrencyAmountOut,
deposit.amount,
virtualBankAccountTransaction.sentAmount
currency
string
Pattern: ^[A-Z]{3}$
tokenId
string<uuid>
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
minAmount
string
Pattern: ^-?(?:0|[1-9][0-9]*)(?:\.[0-9]+)?$
maxAmount
string
Pattern: ^-?(?:0|[1-9][0-9]*)(?:\.[0-9]+)?$
include
enum<string>[]
Maximum array length: 3

operations adds bounded operation references. legs adds the signed position movements the transaction caused, priced from its ledger entries.

Available options:
operations,
legs
first
integer
default:25
Required range: 1 <= x <= 100
after
string
Required string length: 1 - 4096
sort
enum<string>
default:date_desc
Available options:
date_desc,
date_asc,
amount_desc,
amount_asc
metrics
enum<string>[]
required
Required array length: 1 - 18 elements
Available options:
cardTransaction.amount,
cardTransaction.coverage.discountAmount,
cardTransaction.coverage.cardCredit,
cardTransaction.coverage.customerShare,
action.amount,
action.amountOut,
action.fiatCurrencyAmountOut,
deposit.amount,
virtualBankAccountTransaction.sentAmount
groupBy
enum<string>[]
Maximum array length: 2
Available options:
month,
category,
categoryGroup,
merchant,
kind
timezone
string
default:UTC

Response

Successful response.

period
object
required
totals
any[]
required
groups
any[]
required
Maximum array length: 100
page
object
required
meta
object
required